Subject: Re: [patch 12/12] Configure out ethtool support

From: Andrew Morton <[email-masked]>
Date: Wed, 30 Jul 2008 14:44:30 -0700

On Wed, 30 Jul 2008 14:35:32 -0700 (PDT)
David Miller <[email-masked]> wrote:

> From: [email-masked]
> Date: Wed, 30 Jul 2008 12:39:04 -0700
> 
> > From: Thomas Petazzoni <[email-masked]>
> > 
> > Add the CONFIG_ETHTOOL option which allows to remove support for ethtool,
> > not necessarly used on embedded systems.  As this is a size-reduction
> > option, it depends on CONFIG_EMBEDDED.  It allows to save ~6 kilobytes of
> > kernel code:
> > 
> >    text	   data	    bss	    dec	    hex	filename
> > 1258447	 123592	 212992	1595031	 185697	vmlinux
> > 1252147	 123592	 212992	1588731	 183dfb	vmlinux.new
> >   -6300       0       0   -6300   -189C +/-
> > 
> > Question: should we also remove ethtool-related functions from all network
> > drivers ?
> > 
> > This patch has been originally written by Matt Mackall
> > <[email-masked]>, and is part of the Linux Tiny project.
> > 
> > Signed-off-by: Thomas Petazzoni <[email-masked]>
> > Cc: Matt Mackall <[email-masked]>
> > Cc: "David S. Miller" <[email-masked]>
> > Cc: Jeff Garzik <[email-masked]>
> > Signed-off-by: Andrew Morton <[email-masked]>
> 
> There is no way I'm applying this, ever.
> 
> This change means you can't configure nearly all of the features on
> your ethernet card.  You can't even configure the link parameters
> without ethtool support.

This has been in linux-tiny for a long time - at least since 2.6.5.

So either a) nobody sets CONFIG_ETHTOOL=n or b) you're wrong.

I don't know which of these is the case and I don't know how to find
out.

I could be that the feature was useful back in the 2.6.5 days but
is now completely useless, dunno.

> If you want 6K back get rid of the random number generator, I hear
> embedded people don't need that either :-)

They'll take all they can get.